Search found 118 matches

by jbi
Mon Apr 22, 2024 5:40 pm
Forum: Python scripting and macros
Topic: subprocess / multiprocessing
Replies: 0
Views: 96

subprocess / multiprocessing

Hello, I managed multiprocessing started from a subprocess from within the GUI; but with an external python interpreter. args=repr(checkseq),fp.name env_o3d='/home/jb/miniconda3/envs/py369_open3d/bin/python' #path to the external python interpreter #env_o3d='freecadcmd ' #path to the external python...
by jbi
Wed Mar 20, 2024 5:09 am
Forum: Python scripting and macros
Topic: Feature Python Object add own object data
Replies: 2
Views: 318

Feature Python Object add own object data

Hello, I am in the process of doing a workbench for weld paths. Bildschirmfoto vom 2024-03-20 05-52-45.png I want to be able to add this weldpath with an icon to the tree view, and when needed edit it as well and make it persistent. I thought a Feature Python Object would be the right thing. Usually...
by jbi
Wed Feb 21, 2024 8:26 pm
Forum: Python scripting and macros
Topic: Detect holes of any shape
Replies: 8
Views: 622

Re: Detect holes of any shape

May you find some inspiration here
viewtopic.php?p=314453#p314453
by jbi
Sat Dec 23, 2023 6:17 pm
Forum: Python scripting and macros
Topic: How to implement a SceneGraph in the MainWindow ?
Replies: 12
Views: 1355

Re: How to implement a SceneGraph in the MainWindow ?

I have raised a similar question some weeks ago - https://forum.freecad.org/viewtopic.php?t=83427 . I don't know if it is useful for you but from an older question regarding offscreen image rendering i came to this solution: def getAABB(self,child): ############################################## #of...
by jbi
Sat Dec 23, 2023 6:17 pm
Forum: Python scripting and macros
Topic: [Solved] Offscreen Scenegraph pivy/coin
Replies: 1
Views: 7298

Re: Offscreen Scenegraph pivy/coin

From older post regarding offscreen rendering I came up with this solution (Works for me now to do the collision testing in a multiprocessing script standalone with FreeCAD as a module, whitout the GUI up): def getAABB(self,child): ############################################## #offscreen working ro...
by jbi
Mon Dec 11, 2023 7:37 pm
Forum: Python scripting and macros
Topic: [Solved] Offscreen Scenegraph pivy/coin
Replies: 1
Views: 7298

[Solved] Offscreen Scenegraph pivy/coin

I am doing some intersection detection with coin. I have been successful in building the intersection detection in conjunction with the GUI. Now I want to do the intersection detection in parallel in multiple instances with multiprocessing. Therefore I need Offscreen Scenegraph(s). This application ...
by jbi
Wed Nov 29, 2023 8:09 pm
Forum: Python scripting and macros
Topic: Checking if one Shape is inside another Shape.
Replies: 9
Views: 2584

Re: Checking if one Shape is inside another Shape.

regarding isinside() https://forum.freecad.org/viewtopic.php?p=522130 also this one: https://forum.freecad.org/viewtopic.php?t=61158 Don't know what you are after, but from experience doing some collision detection on moving/touching objects the fastest what I found is tessellation into a mesh and d...
by jbi
Wed Nov 22, 2023 7:07 pm
Forum: Path/CAM
Topic: In search of 5 Axis solution
Replies: 1
Views: 2244

Re: In search of 5 Axis solution

Dont know if this would be possible with the current path development. As I understand it is mostly focused on 3 axis milling solutions. On the other hand plasma cutting seems to me simpler than 5 axis machining. I am developing a solution for welding https://forum.freecad.org/viewtopic.php?t=69477 ...
by jbi
Sun Sep 10, 2023 4:03 pm
Forum: Python scripting and macros
Topic: Spiral path on 3d surface mesh
Replies: 4
Views: 1187

Re: Spiral path on 3d surface mesh

use "baseface" from spiral curve_1.FCStd
by jbi
Sun Sep 10, 2023 9:59 am
Forum: Python scripting and macros
Topic: Spiral path on 3d surface mesh
Replies: 4
Views: 1187

Re: Spiral path on 3d surface mesh

you need to pick the surface with in the GUI, and afterwards you run the 2 lines

Code: Select all

#load the stl mesh
sf = FreeCADGui.Selection.getSelectionEx() #pick the surface first at the GUI
mesh=sf[0].Object.Mesh

from there one you can copy the entire code and paste into the python console.